Subject: bug#74145: 31.0.50; Default lexical-binding to t

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2025 17:22:34 +0200

> Cc: [email-masked], [email-masked]
> From: Visuwesh <[email-masked]>
> Date: Tue, 18 Feb 2025 17:25:45 +0530
> 
> +1.  It is also a bit time consuming to change code to follow lexical
> binding and AFAIU from reading the list, there is no straightforward way
> to do so.  Despite that, I hope there could be some addition to the
> manual to outline the rough pathway one may follow.

I asked about that, and got the answer that it was impossible.

> If not possible, then at least some tricks or trips to ensure that
> one has successfully changed the code to follow lexical binding for
> the most part.

I think I got the same answer to that, too.